<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */
class Pruefziffer_88 implements IPruefziffer
{
  public static function check($pKtoNr, $pBlz, $pGewichtung = array(), $pPruefZifferStelle = 9)
  {
    $ktonr = \str_pad($pKtoNr, 10, '0', STR_PAD_LEFT);
    if ($ktonr[2] == 9) {
      $gewichtung = array(0, 2, 3, 4, 5, 6, 7, 8, 0, 0);
    } else {
      $gewichtung = array(0, 2, 3, 4, 5, 6, 7, 0, 0, 0);
    }

    return Pruefziffer_06::check($ktonr, $pBlz, $gewichtung, $pPruefZifferStelle);
  }
}